summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir5
1 files changed, 4 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index 2f432168e6b..cc8fb5ec70d 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -90,6 +90,8 @@ for tlname in $tlnames; do
default_bin_loc=
if test x"$USER" = xkarl; then
case $tlname in
+ i386-freebsd)
+ default_bin_loc=/home/manfred/tl2008.bin.tgj;;
i386-linux)
default_bin_loc=/home/texlive/sarge/tmp/source/inst/bin/i686-pc-linux-gnu;;
esac
@@ -109,7 +111,8 @@ for tlname in $tlnames; do
# if we were given a tar file, unpack it.
if test -f "$bin_loc"; then
srcdir=$tmpdir/unpacked
- (cd $srcdir && tar xf $bin_loc)
+ mkdir $srcdir
+ (cd $srcdir && tar xf $bin_loc) || exit 1
elif test -d "$bin_loc"; then
srcdir=$bin_loc # already have a directory